"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Markup = /** @class */ (function () {
    function Markup(json) {
        this.type = json.type;
        this.start = json.start;
        this.end = json.end;
        this.href = json.href;
    }
    Object.defineProperty(Markup.prototype, "open", {
        get: function () {
            switch (this.type) {
                case MarkupType.Bold:
                    return "**";
                case MarkupType.Italic:
                    return "*";
                case MarkupType.Anchor:
                    return "[";
                default:
                    throw new Error("Unknown markup type \"" + this.type + "\".");
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Markup.prototype, "close", {
        get: function () {
            switch (this.type) {
                case MarkupType.Bold:
                    return '**';
                case MarkupType.Italic:
                    return '*';
                case MarkupType.Anchor:
                    return "](" + this.href + ")";
                default:
                    throw new Error("Unknown markup type \"" + this.type + "\".");
            }
        },
        enumerable: true,
        configurable: true
    });
    return Markup;
}());
exports.default = Markup;
var MarkupType;
(function (MarkupType) {
    MarkupType[MarkupType["Bold"] = 1] = "Bold";
    MarkupType[MarkupType["Italic"] = 2] = "Italic";
    MarkupType[MarkupType["Anchor"] = 3] = "Anchor";
})(MarkupType = exports.MarkupType || (exports.MarkupType = {}));
//# sourceMappingURL=Markup.js.map