"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Paragraph_1 = require("./Paragraph");
var Story = /** @class */ (function () {
    /**
     * @param  {LooseObject} json
     */
    function Story(json) {
        this.updatedAt = new Date(json.updatedAt);
        this.createdAt = new Date(json.createdAt);
        this.content = new Content(json.content.subtitle, json.content.bodyModel.paragraphs);
        this.id = json.id;
        this.title = json.title;
        this.detectedLanguage = json.detectedLanguage;
    }
    return Story;
}());
exports.default = Story;
var Content = /** @class */ (function () {
    /**
     * @param  {String} publicsubtitle
     * @param  {LooseObject[]} paragraphs
     */
    function Content(subtitle, paragraphs) {
        this.subtitle = subtitle;
        this.paragraphs = paragraphs.map(function (p) { return new Paragraph_1.default(p); });
    }
    Content.prototype.toMarkdown = function () {
        return this.paragraphs.reduce(function (p, v) { return (p += v.processParagraph()); }, '');
    };
    return Content;
}());
exports.Content = Content;
//# sourceMappingURL=Story.js.map